{**********************************************************************
* ProxmoxVPS product developed. (2016-11-15)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pm-vm-content" >
    <legend>{$MGLANG->T('Task History')}  </legend>
    <br/>
    <form action="" method="post" id="pm-task-form" >
    <table class="table table-hover" id="pm-data-list" >
        <thead>
            <tr>
                <th><input class="toggleAll" type="checkbox"></th>
                <th>{$MGLANG->T('ID')}</th>
                <th>{$MGLANG->T('Product / Service')}</th>
                <th>{$MGLANG->T('th','Node')}</th>
                <th>{$MGLANG->T('th','VMID')}</th>
                <th>{$MGLANG->T('Status')}</th>
                <th>{$MGLANG->T('Name')}</th>
                <th>{$MGLANG->T('Description')}</th>
                <th>{$MGLANG->T('Start Time')}</th>
            </tr>
        </thead>
        <tbody>
        </tbody> 
    </table>
</form>
    <div class="well well-sm" style="margin-top:10px;">

        <button type="button" class="btn btn-danger btn-inverse" id="pmConfirmDelete" data-target="#pm-delete-tasks" data-toggle="modal" disabled="">
            <i class="glyphicon glyphicon-trash btn-inverse"></i>
            {$MGLANG->T('Delete Selected')}</button>
        
        <button class="btn btn-default btn-inverse" type="button" id="mg-button-refresh" data-target="#mg-modal-delete-finished" data-toggle="modal" >               
            <i class="glyphicon glyphicon-remove"></i>
            {$MGLANG->T('Delete With Status')}
        </button>

        <div class="modal fade bs-example-modal-lg" id="mg-modal-delete-finished" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('modal','Delete Tasks ')} <strong data-modal-title=""></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>

                    <div class="modal-body">
                        <input type="hidden" name="id" data-target="id" value="">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="tasks_delete[status]">{$MGLANG->T('Status')}</label>
                            <div class="col-sm-9">
                                <select name="delete[status]" id="mg-delete-task-status" class="form-control">
                                    <option value="-1"> All </option>
                                    <option value="0"> Pending </option>
                                    <option value="1">  Finished  </option>
                                    <option selected="" value="2">  Error </option>

                                </select>
                                <span style="display:none;" class="help-block error-block"></span>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger btn-inverse" id="mg-delete-task">{$MGLANG->T('modal','delete')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
                    {*Delete all*}
      <div class="modal fade bs-example-modal-lg" data-modal-load="getLog" id="pm-delete-tasks" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','Delete Tasks ')} <strong></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              <input type="hidden" name="id" id="modal-id" value="">
                                      <div  style="margin: 30px; text-align: center;"> 
                                    <div>{$MGLANG->T('Are you sure you want to delete the selected tasks?')} </div>
                              </div>
                              <div  style="margin: 60px; "></div>
              <div class="modal-footer">
                  <button type="button" class="btn btn-danger btn-inverse" id="pm-confirm-delete"  >{$MGLANG->T('modal','delete')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>  
    </div> 
</div>
{literal}
    <script type="text/javascript">
        var taDataTable;

        jQuery(document).ready(function () {

            $(document).on('click', '.toggleAll', function () {
                $('.checkThis').prop('checked', $(this).is(':checked'));
                $('.checkThis').trigger('change');
            });

            taDataTable = $('#pm-data-list').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "serverSide": true,
                "order": [[0, "desc"]],
                ajax: function (data, callback, settings) {


                    JSONParser.request(
                            'taskList'
                            , {
                                filter: {}
                                , limit: data.length
                                , offset: data.start
                                , order: data.order
                                , search: data.search
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                     {orderable: false},
                    null,
                    , null
                            , null
                            , null
                            , null
                            , null
                            , null

                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                    "search": "{/literal}{$MGLANG->T('search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                    }
                }
            });

            $("body").on("click", "#mg-delete-task", function (e) {
                e.preventDefault();
                JSONParser.request(
                        'taskDelete'
                        , {
                            "status": $("#mg-delete-task-status").val()
                        }
                , function (data) {
                    var api = taDataTable.api();
                    api.ajax.reload(function () {
                    }, false);
                    $("#mg-modal-delete-finished").modal("hide");
                }
                );
            });
            $('#pm-confirm-delete').on('click', function() {
                JSONParser.request(
                        'taskDelete'
                        , $('#pm-task-form').serialize()
                        , function(data) {
                              $("#pm-delete-tasks").modal('hide');
                               var api = taDataTable.api();
                              api.ajax.reload(function() {}, false);

                              $('.toggleAll').prop('checked', false);
                        }
                );
           });
             $( "body" ).delegate( "#pm-task-form .checkThis", "change", function() {

                 if($("#pm-task-form .checkThis").is(':checked')==true)
                     $("#pmConfirmDelete").removeAttr('disabled') 
                 else
                     $("#pmConfirmDelete").attr('disabled','disabled');

              });

        });
    </script>

{/literal}