{**********************************************************************
* ProxmoxAddon product developed. (2015-08-12)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pmtemplatesContent">
    <legend>{$MGLANG->T('header','Create Template')}</legend>
    {if $info}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-info">{$info}</div>
            </div>
        </div>
    {/if}
    {if $error}
        <div class="alert alert-danger" >
            <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
            <strong>{$error}</strong>
        </div>
    {elseif $success}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-success">{$success}</div>
            </div>
        </div>
    {/if}

    <form  method="get"  class="form-horizontal">
        <input type="hidden" name="module" value="proxmoxAddon"/>
        <input type="hidden" name="mg-page" value="templates"/>
        <input type="hidden" name="mg-action" value="createListVMs"/>

        <div class="form-group">
            <label for="pmServerSelect" class="col-sm-2 control-label">{$MGLANG->T('filters','server')}</label>
            <div class="col-sm-10">
                <select class="form-control" name='serverID' id="pmServerSelect" onchange="this.form.submit()">
                    {foreach from=$servers item=item  key=k}
                        <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                    {/foreach}
                </select>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-success btn-inverse">{$MGLANG->T('button','Next Step')}</button>
            </div>
        </div>



    </form>


</div>   
