{**********************************************************************
* ProxmoxVPS product developed. (2016-10-06)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div id="proxmox_console_alert"></div>
<input class="btn btn-default" id="pm-button-spice" type="button" onclick="window.location = '{$spiceUrl}';" value="Spice Console">
<input class="btn btn-default" id="pm-novnc-button" type="button" onclick="window.open('{$noVncConsoleUrl}', '', 'width=900,height=700');" value="noVNC Console">
<img style='margin-left:2px; display:none;' src='../modules/servers/proxmoxVPS/images/loader.gif' id="proxmox_load"/>
<input class="btn btn-default proxmoxCloud_migrate" type="button"  value="Migrate"    /> <span id="proxmox_migrate_alert"></span><span><img id="proxmox_migrate_loading" src="../modules/servers/proxmoxVPS/images/loader.gif" style="margin-left: 2px; display: none;">
<div id="proxmoxCloud_Dialog" style="display:none;"> 
    <table cellspacing="2" cellpadding="3" border="0">
        <tbody>
            <tr>
                <td  width="50%">Target Node:</td>
                <td>
                    <select name="proxmoxcloud_node" id="proxmoxcloud_node2">
                        {foreach from=$nodes item=$node}
                            <option>{$node}</option>
                        {/foreach}
                    </select> 
                </td>
            </tr>
            <tr>
                <td  width="50%">Online: </td><td><input type="checkbox" id="proxmox_migrate_online" style="margin-left:-1px;"> 
                </td>
            </tr>
        </tbody>
    </table>
</div>
{literal}
    <script>
        $(document).ready(function () {
            jQuery("body").delegate(".proxmoxCloud_migrate", "click", function () {
                jQuery("#proxmoxCloud_Dialog").dialog({
                    "title": "Migrate",
                    "buttons": [
                        {
                            text: "Cancel",
                            click: function () {
                                jQuery(this).dialog("close");
                            }
                        },
                        {
                            text: "Save",
                            click: function () {
                                var online = $("#proxmox_migrate_online").prop("checked") ? 1 : 0;
                                var node = $("#proxmoxcloud_node2 option:selected").val();
                                $("#proxmox_migrate_loading").show();
                                $.post("../clientarea.php?proxmoxvps_ajax=1", {"proxmoxvps_act": "migrate", "node": node, "online": online, "serviceid": "{/literal}{$serviceid}{literal}"},
                                        function (res) {
                                            $("#proxmox_migrate_alert").show();
                                            $("#proxmox_migrate_loading").hide();
                                            if (res.success == 1) {
                                                $("#proxmox_migrate_alert").css("color", "green").html(res.result);
                                            } else {
                                                $("#proxmox_migrate_alert").css("color", "red").html(res.result);
                                            }
                                        }, "json");

                                jQuery(this).dialog("close");
                            }
                        }
                    ]
                }).dialog("open");
            });
        });
    </script>
{/literal}