{**********************************************************************
* ProxmoxVPS product developed. (2016-10-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="tablebg">
    <div id="proxmox_add_ip_alert" style="background-color: #FFFFFF; padding: 6px; margin-top:0px; display:none"></div>
    <table id="proxmoxvps_tblips" class="datatable" cellspacing="1" cellpadding="3" border="0" width="100%">
        <thead>
            <tr><th>IP</th> <th>MAC Address </th> <th>Subnet Mask</th> <th>Gateway</th><th></th></tr>
        </thead>
        {foreach from=$ips item=ip}
            <tr>
                <td>{$ip.ip}</td>
                <td>{$ip.mac_address}</td> 
                <td>{$ip.subnet_mask}</td>
                <td>{$ip.gateway}</td>
                <td style="text-align:center;"><a href="#" class="remove_ip" rel="{$ip.id}" ><img width="16" height="16" border="0" title="Return IP to IPs pool" src="../modules/servers/proxmoxVPS/images/delete.png">
                    </a></td>
            </tr>
        {/foreach}
        <tr style="display:none;" id="noips"><td colspan="5">No Records Found</td></tr>
    </table>
    <div id="proxmoxVPS_addip_form" style="display:none; background-color: #FFFFFF; padding: 6px; margin-top:0px;">
        <h2>Add New IP</h2>
        <table class="form"  cellspacing="2" cellpadding="3" border="0" width="50%">
            <tbody>
                <tr>
                    <td class="fieldlabel" width="20%">IP</td>
                    <td class="fieldarea"><input id="proxmoxVPS_input_ip" type="text" size="30" value="" name="customfield[2]"></td>
                </tr>
                <tr>
                    <td class="fieldlabel" width="20%">MAC Address</td>
                    <td class="fieldarea"><input id="proxmoxVPS_input_mac" type="text" size="30" value="auto" name="customfield[2]"></td>
                </tr>
                <tr>
                    <td class="fieldlabel" width="20%">Subnet Mask</td>
                    <td class="fieldarea"><input id="proxmoxVPS_input_subnet_mask" type="text" size="30" value="" name="customfield[2]"></td>
                </tr>
                <tr>
                    <td class="fieldlabel" width="20%">Gateway</td>
                    <td class="fieldarea"><input id="proxmoxVPS_input_gateway" type="text" size="30" value="" name="customfield[2]"></td>
                </tr>
            </tbody>
        </table>
        <br/>
        <div style="text-align:center; width:50%;">
            <input class="btn btn-primary" type="button" value="Save Changes" id="proxmoxVPS_addip_submit">
            <input class="btn btn-default" type="button" onclick="" value="Cancel" style="margin-left:3px;" id="proxmoxVPS_addip_cancel">
            <img id="proxmox_add_ip_loading" src="../modules/servers/proxmoxVPS/images/loader.gif" style="margin-left: 2px; display: none;">
        </div>
    </div>
    <div class="proxmoxVPS_addip" style="padding:5px 25px;">  <a href="#"  class="proxmoxVPS_addip" >  Add New IP</a> </div>
</div>
{literal}
    <script>
        $(document).ready(function () {
            if(!$(".remove_ip").size())
                $("#noips").show();

            $(".proxmoxVPS_addip").click(function(){
                 $("#proxmoxVPS_addip_form").show();
                 $(this).hide();
                  $(".proxmoxVPS_addip").hide();
                 return false;
            });
            $("#proxmoxVPS_addip_cancel").click(function(){
                 $("#proxmoxVPS_addip_form").hide();
                 $(".proxmoxVPS_addip").show();
                 return false;
            });
            // ----------- ADD IP -----------
            $("#proxmoxVPS_addip_submit").click(function(){
                var ip_address        = $("#proxmoxVPS_input_ip").val();
                var mac_address       = $("#proxmoxVPS_input_mac").val();
                var subnet    = $("#proxmoxVPS_input_subnet_mask").val();
                var gateway   = $("#proxmoxVPS_input_gateway").val();
                var serverid  = "'.$params['serverid'].'";
                $("#proxmox_add_ip_loading").show();
                $.post("../clientarea.php?proxmoxvps_ajax=1", {"proxmoxvps_act":"proxmox_add_ip","ip_address": ip_address, "mac_address":mac_address, "subnet":subnet,"gateway":gateway,
                                                               "serverid":serverid, "serviceid":"{/literal}{$serviceid}{literal}"}, 
                    function(res){
                        $("#proxmox_add_ip_alert").show();
                        $("#proxmox_add_ip_loading").hide();
                        if (res.success == 1){
                            $("#proxmox_add_ip_alert").css("color", "green").html(res.result);
                            $("#noips").hide();
                            $("#proxmoxvps_tblips > tbody:last").append(res.html);
                            $("#proxmoxVPS_addip_form").hide();
                            $(".proxmoxVPS_addip").show();
                            if( $("textarea[name='assignedips']").size()>0){
                                $("textarea[name='assignedips']").html(res.assignedips);
                            }
                            if( $("input[name='dedicatedip']").size()>0){
                                $("input[name='dedicatedip']").val(res.dedicatedip);
                            }
                        } else {
                            $("#proxmox_add_ip_alert").css("color", "red").html(res.result);
                        }
                }, "json");
                 return false;
            });
            // ----------- RETURN IP -----------
            $("body").delegate(".remove_ip", 'click',  function(e){
                  e.preventDefault();
                  var ip_id = $(this).attr('rel');
                  var $tr = $(this).closest('tr');
                  if (!confirm('Are you sure you want to remove this IP Address?')){
                      return false;
                  }
                  $("#proxmox_add_ip_loading").show();
                  JSONParser.request("ussetIpAddress", { "ipId": ip_id},function(data){
                       $("#proxmox_add_ip_loading").hide();
                       if(data.success){
                           $("#proxmox_add_ip_alert").css("color", "green").html(data.success);
                           $("#proxmox_add_ip_alert").show();
                           $tr.remove();
                           if(!$(".remove_ip").size())
                              $("#noips").show();
                          if( $("textarea[name='assignedips']").size()>0){
                              $("textarea[name='assignedips']").html(data.assignedips);
                          }
                          if( $("input[name='dedicatedip']").size()>0){
                              $("input[name='dedicatedip']").val(data.dedicatedip);
                          }
                       }
                  });
             });
        });
    </script>
{/literal} 