{**********************************************************************
* ProxmoxVPS product developed. (2016-10-06)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div id="proxmox_rebuild_alert"></div>
<a href="" id="proxmox_show_templates">Show Templates</a> 
<input style="display:none;" type="button" class="btn btn-default"   id="btn_proxmox_rebuild" value="Reinstall"> 
<input style="display:none;"  id="btn_proxmox_cancel"  type="button" class="btn btn-default" value="Cancel">  
<img style='margin-left:2px; display:none;' src='../modules/servers/proxmoxVPS/images/loader.gif' id="proxmox_load2"/>
{literal}
    <script>
        $(document).ready(function () {

            //Show Templates
            $("#proxmox_show_templates").click(function () {
                $("#proxmox_load2").show();
                JSONParser.request("templatesList", {},function(data){
                     $("#proxmox_show_templates").before('<div id="proxmox_templates_options">' + data.html + '</div>');
                     $("#btn_proxmox_rebuild").show();
                     $("#btn_proxmox_cancel").show();
                     $("#proxmox_show_templates").hide();
                }, "#proxmox_load2");
                return false;
            });
            
            //reinstall fire
            $("#btn_proxmox_rebuild").click(function () {

                $("#proxmox_load2").show();
                $("#proxmox_rebuild_alert").html("");
                var v = $("#proxmox_templates_options").find("input:checked").val();
                var boot = "";
                if ($("#proxmoxvps_kvm_boot_1").size()) {
                    var boot_1 = $("#proxmoxvps_kvm_boot_1").find("option:selected").val();
                    if (boot_1 != "default")
                        boot += boot_1;
                }
                if ($("#proxmoxvps_kvm_boot_2").size()) {
                    var boot_2 = $("#proxmoxvps_kvm_boot_2").find("option:selected").val();
                    if (boot_2 != "default")
                        boot += boot_2;
                }
                if ($("#proxmoxvps_kvm_boot_3").size()) {
                    var boot_3 = $("#proxmoxvps_kvm_boot_3").find("option:selected").val();
                    if (boot_3 != "default")
                        boot += boot_3;
                }
                
                
                JSONParser.request("reinstallProcess", { "template": v, "boot": boot},function(data){
                     $("#proxmox_load2").hide();
                     $("#proxmox_rebuild_alert").html(data.msg);
                     $("#proxmox_templates_options").remove();
                     $("#btn_proxmox_rebuild").hide();
                     $("#btn_proxmox_cancel").hide();
                     $("#proxmox_show_templates").show();
                     location.reload();
                }, "#proxmox_load2");
                
                return false;
            });

            $("#btn_proxmox_cancel").click(function () {
                $("#proxmox_templates_options").remove();
                $("#btn_proxmox_rebuild").hide();
                $("#btn_proxmox_cancel").hide();
                $("#proxmox_show_templates").show();
            });
            
        });
    </script>
{/literal}