{**********************************************************************
* ProxmoxVPS product developed. (2016-10-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div id="proxmoxvps_cron_alert" style=" padding: 6px; margin-top:0px; display:none"></div>
{if !$tasks|count}
    You do not have any scheduled tasks
{else}
    <table width="100%" class="datatable">


        <thead>
            <tr>
                <th>Task</th>
                <th>Created</th>
                <th>Last Update</th>
                <th>Attempts</th>
                <th>Message</th>
                <th>Status</th>
                <th style="text-align:center; width:10px;">Remove</th>
            </tr>
        </thead>
       
        {foreach from=$tasks item=task}
            <tr><td>{$task['0']}</td>
                <td>{$task['1']}</td>
                <td>{$task['2']}</td>
                <td style="text-align:center;">{$task.3}</td>
                <td {if $task['3'] > 0}style="color:red;"{/if}>{$task['4']}</td>
                <td>{$task['5']}</td>
                <td style="text-align:center;">{$task['6']}</td>
            </tr>
        {/foreach}

        <tr>
            <td id="no_task" colspan="7" style="display:none;">You do not have any scheduled tasks</td>
        </tr>
    </table>

{/if}

{literal}
    <script>
        $(document).ready(function () {
            
            // ------------------- DELETE TAKS  ------------------
             $(".delete_task").on('click', function(){
                      var $tr = $(this).closest('tr');
                      var num = $(this).attr('num');
                      var UUID = $(this).attr('rel');
                      if (confirm('Remove selected task?')){
                             $(this).hide();
                             $("#proxmox_ajax2_"+num).show(); 
                             $.post("../clientarea.php?proxmoxvps_ajax=1", {"proxmoxvps_act":"remove_cron", "serviceid":"{/literal}{$serviceid}{literal}", "UUID": UUID }, 
                                    function(res){
                                           $("#proxmoxvps_cron_alert").show();
                                           if (res.success == 1){
                                                  $("#proxmoxvps_cron_alert").css("color", "green").html(res.result);
                                                  $tr.remove();
                                                  if(!$(".delete_task").size())
                                                         $("#no_task").show();
                                           } else {
                                                  $("#proxmox_ajax2_"+num).hide(); 
                                                  $(".delete_task").show();
                                                  $("#proxmoxvps_cron_alert").css("color", "red").html(res.result);
                                           }
                             }, "json");
                           }
                           return false;
              });
             // -------------------UNLOCK TAKS  ------------------
             $(".unlock_task").on('click', function(){
                      var $td = $(this).closest('td');
                      var num = $(this).attr('num');
                      var UUID = $(this).attr('rel');

                      if (confirm('Unclock selected task?')){
                             $(this).hide();
                             $("#proxmox_ajax3_"+num).show(); 
                             $.post("../clientarea.php?proxmoxvps_ajax=1", {"proxmoxvps_act":"unlock_cron", "serviceid":"{/literal}{$serviceid}{literal}", "UUID": UUID }, 
                                    function(res){
                                           $("#proxmoxvps_cron_alert").show();
                                           if (res.success == 1){
                                                  $("#proxmoxvps_cron_alert").css("color", "green").html(res.result);
                                                  $td.html("Waiting for processing");
                                           } else {
                                                  $(".unlock_task").show();
                                                  $("#proxmox_ajax3_"+num).hide(); 
                                                  $("#proxmoxvps_cron_alert").css("color", "red").html(res.result);
                                           }
                             }, "json");
                           }
                           return false;
              });

              //novnc
                $("#pm-novnc-button").click(function(){
                    setTimeout("location.reload(true);",10000);
                });

                //spice
                $("form").submit(function(e){
                    if(e.originalEvent.explicitOriginalTarget.name !="spiceConsole"){
                        $("#pm-button-spice").prop("type","button");
                    }
               });                      
        });
    </script>
{/literal} 