{**********************************************************************
* ProxmoxVPS product developed. (2017-07-26)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="modal fade bs-example-modal-lg" id="mg-modal-confirmation" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->absoluteT('Confirmation')} <strong></strong></h4>
            </div>
            <div class="modal-body" >
                <div class="modal-alerts">
                    <div class="alertContainer">
                        <div class="alertPrototype" style="display:none;">
                            <div class="alert alert-danger" role="alert">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <p></p>
                                <a style="display:none;" class="errorID" href=""></a>
                            </div>
                        </div>
                        <div class="alertPrototype" style="display:none;">
                            <div class="alert alert-success">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <p></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div style="margin-top:50px; margin-bottom: 55px;">

                    <div class="alert alert-warning" role="alert">
                        <p></p>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="mg-confirmation-submit" data-action="">{$MGLANG->absoluteT('Yes')}</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('No')}</button>
            </div>
        </div>
    </div>
</div>
{literal}
    <script type="text/javascript">
        $(window).on('resize',function (){
            var height = $('.module-sidebar').height();
            $('#mg-wrapper').css('min-height', height);
        });
        
        $(document).ready( function() {
            function proxmoxVmAction(element){
                if ($(element).hasClass('disabled'))
                    return false;
                var obj = $(element);
                jQuery(obj).buttonLoader(true);
                var subaction = $(element).attr('data-subaction');
                JSONParser.request(
                        subaction
                        , {}
                , function (data) {
                    jQuery(obj).buttonLoader(false);
                    if (data.message)
                        jQuery('#MGAlerts').alerts('success', data.message);
                    if (typeof proxmoxDetailsVM =="function"){
                        proxmoxDetailsVM();
                    }
                },
                'off',
                function(data){ //fail
                        if(data.error)
                            jQuery('#MGAlerts').alerts('danger',data.error);
                        jQuery(obj).buttonLoader(false);
                });
            }
            
            //Confirm action
             $('.proxmox-vm-confirm ').click(function (e) {
                 e.preventDefault();
                 var that = this;
                 $("#mg-modal-confirmation .alert-warning p").text($(that).data('confirm'));
                 $("#mg-modal-confirmation").modal();
                 $( "#mg-confirmation-submit").unbind( "click" );
                 $("#mg-confirmation-submit").on("click",function (e){
                     e.preventDefault();
                     $("#mg-modal-confirmation").modal("hide");
                     proxmoxVmAction(that);
                 });
            });
            
             $('.proxmox-vm-action ').click(function (e) {
                if ($(this).hasClass('disabled'))
                    return false;
                e.preventDefault();
                proxmoxVmAction(this);
            });

        });
    </script>
{/literal}