{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-reinstall"></i>
        <h1>{$_LANG.reinstall.header}</h1>
        <p>{$_LANG.reinstall.description}</p>
    </div>
    <div class="module-body">
        <div class="well">
            <form class="form-horizontal" method="post">
                <div class="form-group">
                    <label class="control-label col-sm-3">{$_LANG.reinstall.password}</label>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="col-sm-6">
                                <input id="password" class="form-control" name="rebuild[password]" data-minlength="5" min="5" required="" type="text">
                                <div class="help-block"></div>
                            </div>
                            <div class="col-sm-6">
                            </div>
                        </div>    
                    </div>
                </div>
                <div class="form-group" >
                    <label class="control-label col-sm-3" style="margin-top: -2px;">{$_LANG.reinstall.template}</label>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="col-sm-10">
                                {foreach from=$templates item=tem key=k name=ind}
                                    {if $tem neq ""}
                                        <div style="width:10px; display:inline;float:none;">
                                            <input type="radio" name="rebuild[template]" id="{$smarty.foreach.ind.iteration}" value="{$k}" />
                                        </div>
                                        <label for="{$smarty.foreach.ind.iteration}" style="display:inline;float:none;">{$tem}</label>
                                        <br/>
                                    {/if}
                                {/foreach}
                                <div class="help-block"></div>
                            </div>
                        </div>    
                    </div>
                </div> 
                <div class="form-actions">
                    <button type="submit" name="subaction"  value="rebuild" class="btn btn-primary">{$_LANG.vps.rebuild}</button>
                </div>
            </form>
        </div>
    </div>
</div>