{**********************************************************************
 * ProxmoxAddon product developed. (2015-09-03)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}
{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pm-ip-content" >
    <legend>{$MGLANG->T('header','IP Management')}
            <button type="button" class="btn btn-default btn-xs btn-inverse" id="qb-button-toggle"  style="float:right;">{$MGLANG->T('filters','toggle')}</button> 
    </legend>
      <div id="qb-form-filters" style="display:none;">
          <div class="row">
                <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="QBFrom">{$MGLANG->T('filters','server')} </label>
                      <select name='filters[server]' class="form-control"  id="pm-filters-server">
                          <option value="0"></option>
                          {foreach from=$servers item=item  key=k}
                              <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                          {/foreach}
                      </select>
                  </div>
                  <button type="button" class="btn btn-warning btn-inverse" id="QBButtonReset">{$MGLANG->T('filters','Reset')}</button>
                  <button type="button" class="btn btn-primary btn-inverse" id="QBButtonFilter">{$MGLANG->T('filters','Filter')}</button>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-ip"> {$MGLANG->T('filters','IP Address')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-ip"  placeholder="{$MGLANG->T('filters','filter-ip-placeholder')}">
                  </div>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-mac"> {$MGLANG->T('filters','MAC Address')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-mac"  placeholder="{$MGLANG->T('filters','filter-mac-placeholder')}">
                  </div>
              </div>
              <div class="col-md-1">                  
                  <div class="form-group">
                      <label for="pm-filter-ip-version"> {$MGLANG->T('filters','IP Version')}</label>
                      <select name='filters[ip-version]' class="form-control"  id="pm-filter-ip-version">
                          <option value="0"></option>
                          <option value="IPv4">{$MGLANG->T('filters','IPv4')}</option>
                          <option value="IPv6">{$MGLANG->T('filters','IPv6')}</option>
                      </select>
                  </div>
              </div>  
              <div class="col-md-1">                  
                  <div class="form-group">
                      <label for="pm-filter-ip-type"> {$MGLANG->T('filters','IP Type')}</label>
                      <select name='filters[ip-type]' class="form-control"  id="pm-filter-ip-type">
                          <option value=""></option>
                          <option value="0">{$MGLANG->T('filters','Public')}</option>
                          <option value="1">{$MGLANG->T('filters','Private')}</option>
                      </select>
                  </div>
              </div>  
          </div>
      </div>
      <br/>
   <form action="" method="post" id="pm-ips-form" >
        <table class="table table-hover" id="pm-data-list" >
            <thead>
                <tr>
                    <th><input class="toggleAll" type="checkbox"></th>
                    <th>{$MGLANG->T('tableHeader','IP Address')}</th>
                    <th>{$MGLANG->T('tableHeader','MAC Address')}</th>
                    <th>{$MGLANG->T('tableHeader','VLAN Trunks')}</th>
                    <th>{$MGLANG->T('tableHeader','Tag')}</th>
                    <th>{$MGLANG->T('tableHeader','Subnet Mask')}</th>
                    <th>{$MGLANG->T('tableHeader','Gateway')}</th>
                    <th>{$MGLANG->T('tableHeader','CIDR')}</th>
                    <th>{$MGLANG->T('tableHeader','Server')}</th>
                    <th>{$MGLANG->T('tableHeader','Node')}</th>
                    <th>{$MGLANG->T('tableHeader','Virtualization')}</th>
                    <th>{$MGLANG->T('tableHeader','Public')}</th>
                    <th style="width: 80px; text-align: center;">{$MGLANG->T('tableHeader','Action')}</th>
                </tr>
            </thead>
            <tbody>
            </tbody> 
        </table>
    </form>
    <div class="well well-sm" style="margin-top:10px;">
        <button class="btn btn-primary btn-inverse" type="button" data-toggle="modal" data-target="#pm-new-ip-addresses">
            <i class="glyphicon glyphicon-plus"></i>
                {$MGLANG->T('button','New IP Addresses')}
        </button>
        <button class="btn btn-danger btn-inverse" type="button" data-toggle="modal" data-target="#pm-delete-ips" id="pm-button-ips-delete" disabled="">
            <i class="glyphicon glyphicon-trash btn-inverse"></i>
                {$MGLANG->T('button','Delete')}
        </button>
    </div>
      {*Delete one*}
      <div class="modal fade bs-example-modal-lg" data-modal-load="getLog" id="pmDeleteTemplate" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','deleteLabel2')} <strong></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              <input type="hidden" name="id" id="modal-id" value="">
                                      <div  style="margin: 30px; text-align: center;"> 
                                    <div>{$MGLANG->T('modal','deleteOne')} </div>
                              </div>
                              <div  style="margin: 60px; "></div>
              <div class="modal-footer">
                  <button type="button" class="btn btn-danger btn-inverse" id="pmConfirmDelete"  >{$MGLANG->T('modal','delete')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
      {*New IP Addresses*}
      <form  data-modal-submit="addPool">
            <div class="modal fade bs-example-modal-lg" id="pm-new-ip-addresses" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','add')} <strong></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              <div class="modal-body">
                  <div class="modal-alerts">
                    <div style="display:none;" data-prototype="error">
                        <div class="note note-danger">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                            <a style="display:none;" class="errorID" href=""></a>
                        </div>
                    </div>
                    <div style="display:none;" data-prototype="success">
                        <div class="note note-success">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                        </div>
                    </div>
                </div>
                  {$formAdd}</div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-primary btn-inverse" id="pm-modal-addip-button-add">{$MGLANG->T('modal','Add IP Addresses')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
    </form>
               {*Delete all*}
      <div class="modal fade bs-example-modal-lg" data-modal-load="getLog" id="pm-delete-ips" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','Delete IP Addresses')} <strong></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              <input type="hidden" name="id" id="modal-id" value="">
                                      <div  style="margin: 30px; text-align: center;"> 
                                    <div>{$MGLANG->T('modal','deleteAll')} </div>
                              </div>
                              <div  style="margin: 60px; "></div>
              <div class="modal-footer">
                  <button type="button" class="btn btn-danger btn-inverse" id="pm-confirm-delete"  >{$MGLANG->T('modal','delete')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>     
            {*edit IP Addresses*}
        <form  data-modal-submit="editIP">    
        <div class="modal fade bs-example-modal-lg" id="pm-edit-ip-address" data-modal-load="getIP" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','Edit')} <strong data-modal-var="ip"></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              
              <div class="modal-body">
                  <div class="modal-alerts">
                    <div style="display:none;" data-prototype="error">
                        <div class="note note-danger">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                            <a style="display:none;" class="errorID" href=""></a>
                        </div>
                    </div>
                    <div style="display:none;" data-prototype="success">
                        <div class="note note-success">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                        </div>
                    </div>
                </div>
                  {$formEdit}
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-primary btn-inverse" id="pm-modal-addip-button-edit">{$MGLANG->T('modal','Save')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
      </form>
</div>
{literal}
    
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {

                  $(document).on('click', '.toggleAll', function() {
                        $('.checkThis').prop('checked', $(this).is(':checked'));
                        if( $(this).is(':checked'))
                            $("#pm-button-ips-delete").removeAttr('disabled') ;
                        else
                         $("#pm-button-ips-delete").attr('disabled','disabled');
                  });

                  taDataTable = $('#pm-data-list').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide":  true,
                        "order": [[1, "asc"]],
                        ajax: function(data, callback, settings) {
                              var filter = {
                                    serverID: $('#pm-filters-server').val(),
                                    ip: $('#pm-filter-ip').val(),
                                    mac: $('#pm-filter-mac').val(),
                                    ipVersion : $('#pm-filter-ip-version').val(),
                                    type:  $('#pm-filter-ip-type').val(),
                                      
                              };
                              JSONParser.request(
                                      'getList'
                                      , {
                                            filter: filter
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              {orderable: false}
                              , null
                                      , null
                                      , null
                                      , null
                                      , null
                                      , null
                                      ,null
                                      ,null
                                      ,{orderable: false}
                                      ,null
                                      ,{orderable: false}
                                      ,{orderable: false}
                                     
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  
                   $("#QBButtonFilter").click(function(){
                   
                        var api = taDataTable.api();
                            api.ajax.reload(function() {
                            }, false);
                  });
                  
                  $( "body" ).delegate( ".pmDelete", "click", function() {
                      $("#pmDeleteTemplate").modal();
                      $("#pmDeleteTemplate .modal-title strong").html($(this).attr('data-ip'));
                      $("#modal-id").val($(this).attr('data-id'));
                  });
                 
                  $( "#pm-ip-content" ).delegate( "#pmConfirmDelete", "click", function() {
                     JSONParser.request(
                                'deleteIP'
                                ,{
                                    'id': $("#modal-id").val(),
                                }
                                , function(data){
                                      $("#pmDeleteTemplate").modal('hide');
                                       var api = taDataTable.api();
                                      api.ajax.reload(function() {}, false);
                                }
                        );
                 });  
                  
                  
                  $("#qb-button-toggle").click(function(){
                      $("#qb-form-filters").toggle();  
                  }); 
                  
                  $("#QBButtonReset").click(function(){
                      $("#pm-filters-server").val(''); 
                      $("#pm-filter-ip").val('');  
                      $("#pm-filter-mac").val(''); 
                      $("#pm-filter-ip-version").val(''); 
                      $("#pm-filter-ip-type").val(''); 
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                  });
                  
                  $( "body" ).delegate( "#pm-ips-form .checkThis", "change", function() {
                      
                     if($("#pm-ips-form .checkThis").is(':checked')==true)
                         $("#pm-button-ips-delete").removeAttr('disabled') 
                     else
                         $("#pm-button-ips-delete").attr('disabled','disabled');
             
                  });

                  //delete all ips
                  $('#pm-confirm-delete').on('click', function() {
                        JSONParser.request(
                                'deleteIPs'
                                , $('#pm-ips-form').serializeArray()
                                , function(data) {
                                      $("#pm-delete-ips").modal('hide');
                                       var api = taDataTable.api();
                                      api.ajax.reload(function() {}, false);
                                      
                                      $('.toggleAll').prop('checked', false);
                                }
                        );
                  });
                  $( "#pm-ip-content" ).delegate( ".pagination", "click", function() {
                     $("#pm-button-ips-delete").attr('disabled','disabled');
                  });  
                  $( "#pm-ip-content" ).delegate( ".input-sm", "change", function() {
                     $("#pm-button-ips-delete").attr('disabled','disabled');
                  });  
                  
                  $('#pm-modal-addip-button-add').click(function(e){

                      var mask = parseInt($('#newIP_modal_mask').val());
                      var is_ipv6 = /.*\:.*/.test($('#newIP_modal_pool').val());
                      
                      if (is_ipv6 && mask < 120 ) {
                           $(this).attr('disabled','disabled');
                            var conf = confirm('Are you sure to generate IPv6 pool with mask ' + mask + '? That will be a lot of addresses.');
                            if(conf)
                                $(this).removeAttr('disabled');
                      }else{
                          $(this).removeAttr('disabled');
                      }

                  });
                                    
                  jQuery('#pm-ip-content').MGModalActions();
                  
                  $( "#newIP_modal_mask" ).click( function() {
                      $('#pm-modal-addip-button-add').removeAttr('disabled');
                  });
                      
                  $('#pm-new-ip-addresses').on('hidden.bs.modal', function () {
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                      $(this).MGresetInputData();
                      $("#newIP_modal_server, #newIP_modal_node").val("0").trigger("change");
                      $("#newIP_modal_virtualization").val("Auto").trigger("change");
                      $(this).alerts("clear");
                  });
                  $('#pm-edit-ip-address').on('hidden.bs.modal', function () {
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                  });    
                //nodes
                $("#newIP_modal_node").select2({
                   ajax: {
                       url: JSONParser.url + "&mg-action=nodeSearch",
                       dataType: 'json',
                       delay: 250,
                       multiple: true,
                       data: function (params) {
                           return {
                               serverId: $("#newIP_modal_server").val(),
                               page: params.page,
                               current: $(this).val()
                           };
                       },
                       processResults: function (data, page) {
                           return {
                               results: data.items
                           };
                       },
                       cache: true
                   },
                   escapeMarkup: function (markup) {
                       return markup;
                   }, // let our custom formatter work
                   templateResult: function (repo) {
                       return repo.name || repo.text;
                   },
                   templateSelection: function (repo) {
                       if (repo.loading)
                           return repo.text;
                       var markup ="";
                       if(repo.text)
                           return repo.text ;
                       if(repo.name)
                           return  repo.name;
                       if (repo.description) {
                           markup += '<div>' + repo.description + '</div>';
                       }
                       return markup;
                   }
                });
 
                
                $("input[name='nodeHidden']").on('change', function () {
                    if($("#editIP_modal_node option:contains('"+$(this).val()+"')").val() == $(this).val() || $(this).val()=="0"){
                        return;
                    }
                    $("#editIP_modal_node").append($("<option></option>")
                                           .attr("value",$(this).val())
                                           .text($(this).val())
                                           .attr("selected",true)); 
                    
                    $("#editIP_modal_node").trigger("change");
                });
                
                $('#pm-edit-ip-address').on('show.bs.modal', function () {

                    try{
                        if($("#editIP_modal_node").hasClass("select2-hidden-accessible")){
                            $("#editIP_modal_node").select2("destory");
                        }
                    }catch(e){
                    }
                    $("#editIP_modal_node").select2({
                       ajax: {
                           url: JSONParser.url + "&mg-action=nodeSearch",
                           dataType: 'json',
                           delay: 250,
                           multiple: true,
                           data: function (params) {
                               return {
                                   serverId: $("#editIP_modal_serverID").val(),
                                   page: params.page,
                                   current: $(this).val()
                               };
                           },
                           processResults: function (data, page) {
                               return {
                                   results: data.items
                               };
                           },
                           cache: true
                       },
                       escapeMarkup: function (markup) {
                           return markup;
                       }, // let our custom formatter work
                       templateResult: function (repo) {
                           return repo.name || repo.text;
                       },
                       templateSelection: function (repo) {
                           if (repo.loading)
                               return repo.text;
                           var markup ="";
                           if(repo.text)
                               return repo.text ;
                           if(repo.name)
                               return  repo.name;
                           if (repo.description) {
                               markup += '<div>' + repo.description + '</div>';
                           }
                           return markup;
                       }
                   });
                });
                  
            });       
</script>
{/literal}