{**********************************************************************
 * ProxmoxAddon product developed. (2015-09-03)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div class="col-lg-12" id="pm-vm-content" >
    <legend>{$MGLANG->T('header','Recovery VM List')}
    <button type="button" class="btn btn-default btn-xs btn-inverse" id="qb-button-toggle" style="float:right;">{$MGLANG->T('filters','toggle')}</button> 
    </legend>
      <div id="pm-form-filters" style="display:none;">
          <div class="row">
                <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-serverID">{$MGLANG->T('filters','server')} </label>
                      <select name='serverID' class="form-control"  id="pm-filters-server">
                          <option value="0"></option>
                          {foreach from=$servers item=item  key=k}
                              <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                          {/foreach}
                      </select>
                  </div>
              </div>
                <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-serverType">{$MGLANG->T('filters','Type')} </label>
                      <select name='serverType' class="form-control"  id="pm-filters-serverType">
                          <option value=""></option>
                          <option value="proxmoxVPS">{$MGLANG->T('proxmoxVPS')}</option>
                          <option value="proxmoxCloud">{$MGLANG->T('proxmoxCloud')}</option>
                      </select>
                  </div>
                  
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-client"> {$MGLANG->T('filters','Client')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-client" name="client">
                  </div>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-domain"> {$MGLANG->T('filters','Domain')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-domain" name='domain'>
                  </div>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-virtualization">{$MGLANG->T('filters','Virtualization')} </label>
                      <select name='virtualization' class="form-control"  id="pm-filters-virtualization">
                          <option value=""></option>
                          <option value="qemu">{$MGLANG->T('qemu')}</option>
                          <option value="lxc">{$MGLANG->T('lxc')}</option>
                      </select>
                  </div>
                  <button type="button" class="btn btn-warning btn-inverse" id="QBButtonReset">{$MGLANG->T('filters','Reset')}</button>
                  <button type="button" class="btn btn-primary btn-inverse" id="QBButtonFilter">{$MGLANG->T('filters','Filter')}</button>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-ip"> {$MGLANG->T('filters','IP Address')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-ip" name="IpAddress">
                  </div>
                  
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-node"> {$MGLANG->T('filters','Node')}</label>
                      <input type="text" class="form-control" id="pm-filter-node" name="node">
                  </div>
              </div>
               <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-vmid"> {$MGLANG->T('filters','VMID')}</label>
                      <input type="text" class="form-control" id="pm-filter-node" name="vmid">
                  </div>
              </div>
          </div>
      </div>
      <br/>
            
        <table class="table table-hover" id="pm-data-list" >
            <thead>
                <tr>
                    <th>{$MGLANG->T('tableHeader','ID')}</th>
                    <th>{$MGLANG->T('tableHeader','Client Name')}</th>
                    <th>{$MGLANG->T('tableHeader','Product / Service')}</th>
                    <th>{$MGLANG->T('tableHeader','Server')}</th>
                    <th>{$MGLANG->T('tableHeader','Node')}</th>
                    <th>{$MGLANG->T('tableHeader','VMID')}</th>
                    <th>{$MGLANG->T('tableHeader','Virtualization')}</th>
                    <th>{$MGLANG->T('tableHeader','Details')}</th>
                     <th>{$MGLANG->T('tableHeader','Last Update')}</th>
                </tr>
            </thead>
            <tbody>
            </tbody> 
        </table>
        <div style="margin-top:10px;" class="well well-sm">
                  <a type="button" name="action" value="saveConfigurations" class="btn btn-primary btn-inverse" id="pm-button-export-to-fille" href="#">{$MGLANG->T('Export To File')}</a>
        </div>

    <div class="modal fade bs-example-modal-lg" id="pm-show-vm-details" data-modal-load="getRecoveryVMDetails"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','Recovery Details')} <strong data-modal-var="id"></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              
              <div class="modal-body">
                  <div data-modal-html="html"></div>
                  
              </div>
       
              <div class="modal-footer">
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
              
</div>
{literal}
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {

                  $(document).on('click', '.toggleAll', function() {
                        $('.checkThis').prop('checked', $(this).is(':checked'));
                  });

                  taDataTable = $('#pm-data-list').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide":  true,
                        "order": [[0, "asc"]],
                        ajax: function(data, callback, settings) {
                            
                             
                              JSONParser.request(
                                      'getRecoveryVMList'
                                      , {
                                            filter: $("#pm-form-filters").MGserializeInputData()
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              , null
                              , null
                              , null
                              , null
                              , null
                              , null
                              , {orderable: false}
                              , null
                                     
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  

                jQuery('#pm-vm-content').MGModalActions();


                $("#QBButtonFilter").click(function(){
                    var api = taDataTable.api();
                        api.ajax.reload(function() {
                        }, false);
                    $("#pm-data-list_filter input").val('');
                });

                $("#qb-button-toggle").click(function(){
                  $("#pm-form-filters").toggle();  
                }); 

                $("#QBButtonReset").click(function(){
                    
                  $("#pm-form-filters").MGresetInputData();
                  var api = taDataTable.api();
                  api.ajax.reload(function() {}, false);
                  $("#pm-data-list_filter input").val('');
                });
                
                //export with filers
                $("#pm-button-export-to-fille").click(function(){
                 
                    var str = 'addonmodules.php?module=proxmoxAddon&mg-page=servers&mg-action=recoverFile';
                    if($("#pm-data-list_filter input").val())
                        str +='&search='+$("#pm-data-list_filter input").val();
                    else
                       str +='&'+$.param($("#pm-form-filters").MGserializeInputData()); 

                    window.location.href = str;
                       
                });   
            });
      </script>
 
{/literal}