{**********************************************************************
 * ProxmoxAddon product developed. (2015-08-12)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pmtemplatesContent">
      <legend>{$MGLANG->T('header','Templates')}</legend>
      {if $info}
            <div class="row-fluid">
                  <div class="span12">
                        <div class="alert alert-info">{$info}</div>
                  </div>
            </div>
      {/if}
      {if $error}
            <div class="alert alert-danger" >
                  <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
                  <strong>{$error}</strong>
            </div>
      {elseif $success}
            <div class="row-fluid">
                  <div class="span12">
                        <div class="alert alert-success">{$success}</div>
                  </div>
            </div>
      {/if}

      <form action="" method="post" >
            <div id="qb-form-filters" style="">
                  <div class="row">
                        <div class="col-md-3">                  
                              <div class="form-group">
                                    <label for="QBFrom">{$MGLANG->T('filters','server')} </label>
                                     <select name='filters[server]'  id="pm-filters-server" style="min-width: 300px;">
                                          {foreach from=$servers item=item  key=k}
                                                  <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                                          {/foreach}
                                     </select>
                        
                              </div>
                             {* <button type="button" class="btn btn-warning" id="QBButtonReset">{$MGLANG->T('filters','Reset')}</button> *}
                              <button type="button" class="btn btn-primary btn-inverse" id="QBButtonFilter">{$MGLANG->T('filters','Filter')}</button>
                        </div>
                        {$filterForm}
                  </div>
            </div>
            <br/>
            <table class="table table-hover" id="QBClientList" >
                  <thead>
                        <tr>
                              <th>{$MGLANG->T('tableHeader','Node')}</th>
                              <th>{$MGLANG->T('tableHeader','VMID')}</th>
                              <th>{$MGLANG->T('tableHeader','Name')}</th>
                              <th>{$MGLANG->T('tableHeader','Description')}</th>
                              <th>{$MGLANG->T('tableHeader','OS Type')}</th>
                              <th style="width: 50px;">{$MGLANG->T('tableHeader','Action')}</th>
                        </tr>
                  </thead>
                  <tbody>
                  </tbody> 
            </table>
      </form>

      {*Delete one*}
      <div class="modal fade bs-example-modal-lg" data-modal-load="getLog" id="pmDeleteTemplate" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','deleteLabel2')} <strong></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              <input type="hidden" name="vmid" id="modal-vmid" value="">
              <input type="hidden" name="node" id="modal-node" value="">
              <input type="hidden" name="serverID" id="modal-serverID" value="">
                                      <div  style="margin: 30px; text-align: center;"> 
                                    <div>{$MGLANG->T('modal','deleteOne')} </div>
                              </div>
                              <div  style="margin: 60px; "></div>
              <div class="modal-footer">
                  <button type="button" class="btn btn-danger btn-inverse" id="pmConfirmDelete"  >{$MGLANG->T('modal','delete')}</button>
                  <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
</div>   
{literal}
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {
                  
                  if(!$('#pm-filters-server').val()){
                      return;
                  }
                  
                  taDataTable = $('#QBClientList').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide": false,
                        "order": [[0, "asc"]],
                        ajax: function(data, callback, settings) {
                              var filter = {
                                    serverID: $('#pm-filters-server').val(),
                              };
                              JSONParser.request(
                                      'getTemplatesList'
                                      , {
                                            filter: filter
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              null
                              , null
                                      , null
                                      , null
                                      , null
                                      ,{orderable: false}
                                     
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  
                  //date filter 
                  $("#QBButtonFilter").click(function(e) {
                        e.preventDefault();
                        var api = taDataTable.api();
                        api.ajax.reload(function() {
                        }, false);
                  });                  
                  $("#qb-button-toggle").click(function(){
                      $("#qb-form-filters").toggle();  
                  });
                  $("#QBButtonReset").click(function(){
                      $("#QBDateFrom").val(''); 
                      $("#QBDateTo").val('');  
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                  });
                  $( "#pmtemplatesContent" ).delegate( ".pmDelete", "click", function() {
                      $("#pmDeleteTemplate").modal();
                      $("#pmDeleteTemplate .modal-title strong").html($(this).attr('data-vmid'));
                      $("#modal-vmid").val($(this).attr('data-vmid'));
                      $("#modal-node").val($(this).attr('data-node'));
                      $("#modal-serverID").val($(this).attr('data-serverID'));
                 });
                 $( "#pmtemplatesContent" ).delegate( "#pmConfirmDelete", "click", function() {
                     JSONParser.request(
                                'deleteTemplate'
                                ,{
                                    'serverID': $("#modal-serverID").val(),
                                    'node' : $("#modal-node").val(),
                                    'vmid': $("#modal-vmid").val(),
                                }
                                , function(data){
                                      $("#pmDeleteTemplate").modal('hide');
                                       var api = taDataTable.api();
                                      api.ajax.reload(function() {}, false);
                                }
                        );
                 });  
            });
</script>
{/literal}