{**********************************************************************
* ProxmoxVPS product developed. (2016-10-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<table id="sortabletbl1" class="datatable" cellspacing="1" cellpadding="3" border="0" width="100%">
    <tr ><th colspan="2">Details</th>
    </tr>
    <tr>
        <td width=10%>Name </td>
        <td>{$status.name}</td>
    </tr>
    <tr>
        <td>Status </td>
        <td>{$status.status}</td>
    </tr>
    {if $status.uptime}    
    <tr>
        <td>Uptime </td>
        <td>{$status.uptime}</td>
    </tr>
    {/if}
    <tr>
        <td>Type </td>
        <td>{$virtualization}</td>
    </tr>
    <tr>
        <td>Node </td>
        <td>{$node}</td>
    </tr>
    {if $status.pid}
    <tr>
        <td>Pid </td>
        <td>{$status.pid}</td>
    </tr>
    {/if}
    <tr>
        <td>CPU Usage </td>
        <td>{$status.cpu} % of {$status.cpus} Cores - CPU Units: {$config.cpuunits} </td>
    </tr>
    <tr>
        <td valign='top'>Memory Usage </td>
        <td>
            {if $status.balloon_min && $status.balloon_min !="0 B"}
                Dedicated: {$status.balloon_min} Burst: {$status.maxmem} Usage: {$status.mem}
            {else}
                Total: {$status.maxmem} <br/> Usage: {$status.mem}
            {/if}
        </td>
    </tr>
    <tr>
        <td valign='top'>Disk Usage </td>
        <td>Total: {$status.maxdisk} <br/> Usage: {$status.disk}</td>
    </tr>
</table>