{**********************************************************************
* ProxmoxVPS product developed. (2017-01-12)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="form-horizontal">
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-enable">{$MGLANG->T("Enable Firewall")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[enable]" id="mg-fwopt-enable" {if $fwopt.enable}checked{/if}  value="1" >
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-dhcp">{$MGLANG->T("Enable DHCP")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[dhcp]" id="mg-fwopt-dhcp" {if $fwopt.dhcp}checked{/if} value="1" >
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-ndp">{$MGLANG->T("Enable NDP")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[ndp]" id="mg-fwopt-ndp" {if $fwopt.ndp===null || $fwopt.ndp}checked{/if} value="1" >
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-radv">{$MGLANG->T("Allow Router Advertisement")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[radv]" id="mg-fwopt-radv" {if $fwopt.radv}checked{/if} value="1">
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-macfilter">{$MGLANG->T("MAC Filter")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[macfilter]" id="mg-fwopt-macfilter" {if $fwopt.macfilter===null || $fwopt.macfilter}checked{/if} value="1" >
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-ipfilter">{$MGLANG->T("IP Filter")}</label>
        <div class="col-sm-7">
            <input type="checkbox" name="fwopt[ipfilter]" id="mg-fwopt-ipfilter" {if $fwopt.ipfilter}checked{/if} value="1" >
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-log_level_in">{$MGLANG->T("log_level_in")}</label>
        <div class="col-sm-7">
            <select class="form-control" id="mg-fwopt-log_level_in" name="fwopt[log_level_in]">
                {foreach from=$logLevel item="opt"}
                    <option {if $fwopt.log_level_in==$opt} selected=""{/if} value="{$opt}">{$opt}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-log_level_out">{$MGLANG->T("log_level_out")}</label>
        <div class="col-sm-7">
            <select class="form-control" id="mg-fwopt-log_level_in" name="fwopt[log_level_out]">
                {foreach from=$logLevel item="opt"}
                    <option {if $fwopt.log_level_out==$opt} selected=""{/if} value="{$opt}">{$opt}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-policy_in">{$MGLANG->T("Input Policy")}</label>
        <div class="col-sm-7">
            <select class="form-control" id="mg-fwopt-policy_in" name="fwopt[policy_in]">
                {foreach from=$policy item="opt"}
                    <option {if $fwopt.policy_in==$opt} selected=""{/if} value="{$opt}">{$opt}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-4 control-label" for="mg-fwopt-policy_out">{$MGLANG->T("Output Policy")}</label>
        <div class="col-sm-7">
            <select class="form-control" id="mg-fwopt-policy_out" name="fwopt[policy_out]">
                {foreach from=$policy item="opt"}
                    <option {if $fwopt.policy_out==$opt} selected=""{/if} value="{$opt}">{$opt}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="modal-loader" style="display:none;"></div>
</div>