{**********************************************************************
 * ProxmoxVPS product developed. (2015-07-23)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
* @vars managementURL, $currentPage, $prod_permissions, $_LANG
*}
                    
<div class="mg-wrapper1">
    <div class="list-group list-group-tab-nav">
        <a  class="list-group-item  {if $currentPage=="home"}active{/if} "  href="{$managementURL}" >{$_LANG.vps.details}</a> 
        {if $prod_permissions.per_boot=="Yes"}<a class="list-group-item {if $currentPage=="start"}active{/if} proxmox-vm-confirm"  data-subaction="startVM" data-confirm="{$MGLANG->absoluteT("Do you really want to boot?")}"  href="#" >{$_LANG.vps.boot}</a>{/if}
        {if $prod_permissions.per_reboot=="Yes"}<a id="pm-restart" class="list-group-item {if $currentPage=="restart"}active{/if} proxmox-vm-confirm" data-subaction="rebootVM" data-confirm="{$MGLANG->absoluteT("Do you really want to reboot?")}" href="#" >{$_LANG.vps.reboot}</a>{/if}
        {if $prod_permissions.per_stop=="Yes"}<a id="pm-stop" class="list-group-item {if $currentPage=="stop"}active{/if} proxmox-vm-confirm" href="#" data-subaction="stopVM" data-confirm="{$MGLANG->absoluteT("Do you really want to stop?")}" >{$_LANG.vps.stop}</a>{/if}
        {if $prod_permissions.per_shutdown=="Yes"}<a id="pm-shutdown" class="list-group-item {if $currentPage=="shutdown"}active{/if} proxmox-vm-confirm" href="#" data-subaction="shutdownVM" data-confirm="{$MGLANG->absoluteT("Do you really want to shutdown?")}" >{$_LANG.vps.shutdown}</a>{/if}
        {if $prod_permissions.per_vnc_console=="Yes" && !$isProxmox4}<a id="pm-vnc-console" onclick="window.open('{$mainURL}&subaction=vncConsole', '', 'width=900,height=700');" class="list-group-item {if $currentPage=="console"}active{/if}" href="#" >{$_LANG.vps.console}</a>{/if}
        {if $prod_permissions.per_novnc_console}<a id="pm-novnc-console" onclick="window.open('{$mainURL}&subaction=novnc', '', 'width=900,height=700');" class="list-group-item {if $currentPage=="console"}active{/if}" href="#" >{$_LANG.button_novnc}</a>{/if}
        {if $prod_permissions.per_spice_console=="Yes"}<a id="pm-spice-console" href="{$mainURL}&subaction=spice" class="list-group-item {if $currentPage=="console"}active{/if}" >{$_LANG.button_spice}</a>{/if}  
    </div>
</div>
{literal}
<script>
    $(document).ready( function() {
        $('.mg-wrapper1').parents('.panel').first().addClass("panel-actions");
        $('.mg-wrapper1').parent().replaceWith($('.mg-wrapper1').html());
    });
</script>
{/literal}